"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultHeaders = exports.getHTMLFile = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
const getHTMLFile = (fileName) => __awaiter(void 0, void 0, void 0, function* () {
    const filePath = (0, path_1.join)(__dirname, '..', 'data', fileName);
    return yield fs_1.promises.readFile(filePath, 'utf-8');
});
exports.getHTMLFile = getHTMLFile;
exports.defaultHeaders = ['Person', 'Likes', 'Age'];
